For the complete documentation index, see llms.txt. This page is also available as Markdown.

TaxRate

Module endpoints

DELETE /tax-rates/:id

DELETE http://api.slyk.io/tax-rates/:id

Deletes the tax rate with given id.

204 No Content

GET /tax-rates

GET https://api.slyk.io/tax-rates

Returns a paginated list of tax rates.

Name

Type

Example

id

= in nin

filter[id]=7938e446-1c77-4513-8cb0-8b1f2e9f47b9

name

ilike

filter[name]=foo

Name

Example

createdAt

sort=createdAt sort=-createdAt

name

sort=name sort=-name

rate

sort=rate sort=-rate

Name

Description

Example

size

Defines the number of results per page. Default = 30.

page[size]=2

number

Defines the number of the page to retrieve. Default = 1

page[number]=2

{
  "data": [
    {
      "createdAt": "2020-08-10T10:00:00.000Z",
      "id": "fc78d28f-a8dd-49de-a22f-722fe3bd26c8",
      "name": "foobar",
      "rate": "1.00000000",
      "updatedAt": "2020-08-10T10:00:00.000Z"
    },
    {
      "createdAt": "2020-08-10T10:00:00.000Z",
      "id": "ec78d28f-a8dd-49de-a22f-722fe3bd26c7",
      "name": "foobiz",
      "rate": "2.00000000",
      "updatedAt": "2020-08-10T10:00:00.000Z"
    }
  ],
  "total": 2
}

GET /tax-rates/:id

GET https://api.slyk.io/tax-rates/:id‌

Gets the tax rate details of the given id.

PATCH /tax-rates/:id

PATCH https://api.slyk.io/tax-rates/:id

Patches the tax rate details of the given id.

Field

Type

Required

Description

name

string

false

Tax rate name.

rate

string

false

Tax rate value.

POST /tax-rates

POST https://api.slyk.io/tax-rates

Creates a new tax rate.

Field

Type

Required

Description

name

string

true

Tax rate name.

rate

string

true

Tax rate value.

Last updated

Was this helpful?